const express = require('express');
const cors = require('cors');
const bodyParser = require('body-parser');
const connectDB = require('./config/db');

const port = 5000;
const app = express();

connectDB();

app.use(cors());
app.use(express.json());
app.use(bodyParser.urlencoded({ extended: false }));
app.use(bodyParser.json());

const login = require('./routes/loginRoutes');
const postUser = require('./routes/loginRoutes');

app.use('/users', login);
app.use('/users', postUser);

const getTweets = require('./routes/tweetsRoutes');
const postTweet = require('./routes/tweetsRoutes');
const removeTweet = require('./routes/tweetsRoutes');

app.use('/tweets', getTweets);
app.use('/tweets', postTweet);
app.use('/tweets', removeTweet);

app.listen(port, () => {
  console.log(`Server running on port: ${port}`);
});
