const express = require('express');
const bcrypt = require('bcrypt');
const router = express.Router();
const User = require('../models/UserModel');

router.post('/login', async (req, res) => {
  const userName = req.body.userName;

  const user = await User.findOne({ userName });
  if (user === null) {
    return res.status(400).send('Cannot find user');
  }
  try {
    if (await bcrypt.compare(req.body.password, user.password)) {
      res.json(user);
    } else {
      res.status(400).send('Wrong Password');
    }
  } catch (err) {
    console.error(err);
    res.status(500).send(err.message);
  }
});

router.post('/', async (req, res) => {
  const name = req.body.name;
  const userName = req.body.userName;
  const hashedPassword = await bcrypt.hash(req.body.password, 10);
  try {
    const existingUser = await User.findOne({ userName });
    if (existingUser) {
      res.status(400).json('User already exists');
    } else {
      const user = {
        name: name,
        userName: userName,
        password: hashedPassword,
      };
      User.create(user);
      res.status(201).send();
    }
  } catch (err) {
    console.error(err);
    res.status(500).send(err.message);
  }
});

module.exports = router;
