import { Grid } from '@mui/material';
import { Twitter } from '@mui/icons-material';
import { useNavigate } from 'react-router-dom';
import './styles.css';

export const FrontPage = () => {
  const navigate = useNavigate();
  return (
    <Grid container direction="row" className="frontPageContainer">
      <Grid item xs={7} className="frontPageMainTitle">
        <h1>Tweet'R Clone</h1>
      </Grid>
      <Grid
        item
        container
        xs={5}
        alignItems="center"
        className="frontPageTitles"
      >
        <Grid
          item
          container
          direction="column"
          justifyContent="space-around"
          style={{ height: '70%' }}
        >
          <Grid item>
            <Twitter sx={{ fontSize: 50 }} />
          </Grid>
          <Grid item style={{ fontSize: 25 }}>
            <h1>Happening Now</h1>
          </Grid>
          <Grid item style={{ fontSize: 20 }}>
            <h1>Join Twitter Today.</h1>
          </Grid>
          <Grid item>
            <button
              className="signUpButton"
              onClick={() => navigate('/register')}
            >
              Sign up
            </button>
          </Grid>
          <Grid item>
            <button
              className="frontPageLoginButton"
              onClick={() => navigate('/login')}
            >
              Log in
            </button>
          </Grid>
        </Grid>
      </Grid>
    </Grid>
  );
};
