import { Grid } from '@mui/material';
import { useState } from 'react';
import { useNavigate } from 'react-router-dom';
import { useAppDispatch } from '../../redux';
import { addNewUser } from '../../redux/users/actions';
import './styles.css';

export const RegisterPage = () => {
  const [name, setName] = useState('');
  const [userName, setUserName] = useState('');
  const [password, setPassword] = useState('');
  const navigate = useNavigate();

  const dispatch = useAppDispatch();

  const RegisterUser = () => {
    const myUser = {
      name: name,
      userName: userName,
      password: password,
    };
    if (!myUser) {
      return;
    }
    dispatch(addNewUser(myUser)).then(() => {
      navigate('/login');
    });
  };

  return (
    <Grid
      container
      justifyContent="center"
      alignItems="center"
      style={{ height: 960, width: '100%' }}
    >
      <Grid
        item
        container
        style={{ height: 650, width: 570 }}
        className="loginArea"
        alignItems="center"
        justifyContent="center"
        direction="column"
      >
        <Grid
          item
          container
          style={{ height: 320, width: 350 }}
          direction="column"
          justifyContent="space-around"
        >
          <Grid item xs={2.5}>
            <input
              type="text"
              placeholder="name"
              className="loginInput"
              value={name}
              onChange={(e) => setName(e.target.value)}
            />
          </Grid>
          <Grid item xs={2.5}>
            <input
              type="text"
              placeholder="username"
              className="loginInput"
              value={userName}
              onChange={(e) => setUserName(e.target.value)}
            />
          </Grid>
          <Grid item xs={2.5}>
            <input
              type="password"
              placeholder="password"
              className="loginInput"
              value={password}
              onChange={(e) => setPassword(e.target.value)}
            />
          </Grid>
          <Grid item xs={2}></Grid>
          <Grid item xs={2.5}>
            <button className="loginButton" onClick={RegisterUser}>
              Register
            </button>
          </Grid>
        </Grid>
      </Grid>
    </Grid>
  );
};
