import {
  Button,
  Dialog,
  DialogActions,
  DialogContent,
  DialogContentText,
  DialogTitle,
} from '@mui/material';

type Props = {
  title: string;
  message: string;
  firstButtonText: string;
  secondButtonText: string;
  openDialog: boolean;
  onConfirm: () => void;
  onCancel: () => void;
};

export const ConfirmDialog = ({
  title,
  message,
  firstButtonText,
  secondButtonText,
  openDialog,
  onConfirm,
  onCancel,
}: Props) => {
  return (
    <Dialog
      open={openDialog}
      onClose={onCancel}
      aria-labelledby="alert-dialog-title"
      aria-describedby="alert-dialog-description"
    >
      <DialogTitle id="alert-dialog-title">{title}</DialogTitle>
      <DialogContent>
        <DialogContentText id="alert-dialog-description">
          {message}
        </DialogContentText>
      </DialogContent>
      <DialogActions>
        <Button onClick={onCancel} variant="contained">
          {firstButtonText}
        </Button>
        <Button onClick={onConfirm} color="error" variant="outlined">
          {secondButtonText}
        </Button>
      </DialogActions>
    </Dialog>
  );
};
