import { useState } from 'react';
import { Box, Grid, Modal, useMediaQuery } from '@mui/material';
import { Form } from '../form';
import './styles.css';
import { theme } from '../../theme';
import { HistoryEdu } from '@mui/icons-material';

const style = {
  position: 'absolute' as 'absolute',
  top: '20%',
  left: '50%',
  transform: 'translate(-50%, -50%)',
  width: 520,
  height: 150,
  bgcolor: 'background.paper',
  border: '2px solid #000',
  borderRadius: 5,
  boxShadow: 24,
  p: 4,
};

export const TwitterButton = () => {
  const [open, setOpen] = useState(false);
  const handleOpen = () => setOpen(true);
  const handleClose = () => setOpen(false);
  const smallScreen = useMediaQuery(theme.breakpoints.down('sm'));
  const mediumScreen = useMediaQuery(theme.breakpoints.down('md'));

  return (
    <Grid className="twitterButton">
      <button className="button" onClick={handleOpen}>
        {!smallScreen && !mediumScreen ? 'Tweet' : <HistoryEdu />}
      </button>
      <Modal
        open={open}
        onClose={handleClose}
        aria-labelledby="modal-modal-title"
        aria-describedby="modal-modal-description"
      >
        <Box sx={style}>
          <Form handleClose={handleClose} />
        </Box>
      </Modal>
    </Grid>
  );
};
