import axios from 'axios';
import { AppDispatch } from '..';
import {
  CurrentUser,
  LOGIN_USER_FAIL,
  LOGIN_USER_LOADING,
  LOGIN_USER_SUCCESS,
  LOGOUT_USER,
  LoginUserDispatchTypes,
  LogoutUserAction,
} from './types';

export const logout = () => (dispatch: AppDispatch<LogoutUserAction>) => {
  dispatch({ type: LOGOUT_USER });
};

export const login =
  (user: CurrentUser) =>
  async (dispatch: AppDispatch<LoginUserDispatchTypes>) => {
    dispatch({ type: LOGIN_USER_LOADING });

    return await new Promise((resolve, reject) => {
      axios
        .post('http://localhost:5000/users/login', user)
        .then((res) => {
          if (res.status >= 400) {
            throw res;
          }
          dispatch({ type: LOGIN_USER_SUCCESS, payload: res.data });
          resolve(res.data);
        })
        .catch((err) => {
          dispatch({ type: LOGIN_USER_FAIL, payload: err });
          alert('Wrong Password');
          reject(err);
        });
    });
  };
