import { TweetInput, TweetDataType } from './tweet-general';

export const ADD_TWEET_LOADING = 'ADD_TWEET_LOADING';
export const ADD_TWEET_SUCCESS = 'ADD_TWEET_SUCCESS';
export const ADD_TWEET_FAIL = 'ADD_TWEET_FAIL';

export type AddTweetPayload = {
  input: TweetInput;
};

export type AddTweetResponsePayload = {
  data: TweetDataType;
};

export type AddTweetLoadingAction = {
  type: typeof ADD_TWEET_LOADING;
};

export type AddTweetSuccessAction = {
  type: typeof ADD_TWEET_SUCCESS;
  payload: AddTweetResponsePayload;
};

export type AddTweetFailAction = {
  type: typeof ADD_TWEET_FAIL;
  payload: Error;
};
