import {
  AddTweetLoadingAction,
  AddTweetSuccessAction,
  AddTweetFailAction,
} from './tweet-add';
import { TweetDataType, TweetsData } from './tweet-general';
import {
  LikeTweetLoadingAction,
  LikeTweetSuccessAction,
  LikeTweetFailAction,
} from './tweet-like';
import {
  RemoveTweetSuccessAction,
  RemoveTweetLoadingAction,
  RemoveTweetFailAction,
} from './tweet-remove';
import {
  GetTweetsAction,
  GetTweetsFailAction,
  GetTweetsSuccessAction,
} from './tweets-get';

export type TweetsState = {
  loading: boolean;
  tweetsData: TweetsData;
  newTweetOutput: TweetDataType;
};

export type TweetsDiispatchTypes =
  | AddTweetLoadingAction
  | AddTweetSuccessAction
  | AddTweetFailAction
  | GetTweetsAction
  | GetTweetsSuccessAction
  | GetTweetsFailAction
  | RemoveTweetSuccessAction
  | RemoveTweetLoadingAction
  | RemoveTweetFailAction
  | LikeTweetLoadingAction
  | LikeTweetSuccessAction
  | LikeTweetFailAction;
