import axios from 'axios';
import { AppDispatch } from '..';
import {
  User,
  UserDispatchTypes,
  ADD_USER_LOADING,
  ADD_USER_SUCCESS,
  ADD_USER_FAIL,
} from './types';

export const addNewUser =
  (user: User) => async (dispatch: AppDispatch<UserDispatchTypes>) => {
    dispatch({ type: ADD_USER_LOADING });

    return await new Promise((resolve, reject) => {
      axios
        .post('http://localhost:5000/users', user)
        .then((res) => {
          if (res.status >= 400) {
            throw res;
          }
          dispatch({ type: ADD_USER_SUCCESS, payload: res.data });
          resolve(res.data);
        })
        .catch((err) => {
          dispatch({ type: ADD_USER_FAIL, payload: err });
          reject(err);
        });
    });
  };
