import {
  UserDispatchTypes,
  ADD_USER_FAIL,
  ADD_USER_LOADING,
  ADD_USER_SUCCESS,
  UserState,
} from './types';

export const initialState: UserState = {
  loading: false,
  userData: {
    name: '',
    userName: '',
    password: '',
  },
};

export const userReducer = (
  state: UserState = initialState,
  action: UserDispatchTypes,
): UserState => {
  switch (action.type) {
    case ADD_USER_LOADING: {
      return {
        ...state,
        loading: true,
      };
    }
    case ADD_USER_FAIL: {
      return {
        ...state,
        loading: false,
      };
    }
    case ADD_USER_SUCCESS: {
      return {
        ...state,
        loading: false,
        userData: action.payload.data,
      };
    }
    default: {
      return state;
    }
  }
};
