export const ADD_USER_LOADING = 'ADD_USER_LOADING';
export const ADD_USER_FAIL = 'ADD_USER_FAIL';
export const ADD_USER_SUCCESS = 'ADD_USER_SUCCESS';

export type AddUserResponsePayload = {
  data: User;
};

export type AddUserLoadingAction = {
  type: typeof ADD_USER_LOADING;
};

export type AddUserFailAction = {
  type: typeof ADD_USER_FAIL;
};

export type AddUserSuccessAction = {
  type: typeof ADD_USER_SUCCESS;
  payload: AddUserResponsePayload;
};

export type User = {
  name: string;
  userName: string;
  password: string;
};

export type UserState = {
  loading: boolean;
  userData: User;
};

export type UserDispatchTypes =
  | AddUserLoadingAction
  | AddUserFailAction
  | AddUserSuccessAction;
