import { createTheme } from '@mui/material/styles';

declare module '@mui/material/styles' {
  interface TypographyVariants {
    header: React.CSSProperties;
    observer: React.CSSProperties;
    comment: React.CSSProperties;
  }

  // allow configuration using `createTheme`
  interface TypographyVariantsOptions {
    header?: React.CSSProperties;
    observer?: React.CSSProperties;
    comment?: React.CSSProperties;
  }
}
declare module '@mui/material/Typography' {
  interface TypographyPropsVariantOverrides {
    header: true;
    observer: true;
    comment: true;
  }
}

export const theme = createTheme({
  palette: {
    primary: {
      main: '#00abab',
    },
    secondary: {
      main: '#ff363b',
    },
    background: {
      default: '#f5f9fa',
    },
  },
  typography: {
    fontFamily: 'MuseoSansRounded',
    header: {
      fontSize: 25,
      fontWeight: 600,
      color: 'grey',
    },
    observer: {
      fontSize: 12,
    },
    comment: {
      color: '#F5F5DC',
    },
  },
});
